/*******************************************************************************
 * FoxCustomizationNode_CamoBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_CamoBase extends FoxCustomizationNode_Base within FoxArmoryUI
    config(UI);

struct native CamoInfo
{
    var int CamoIndex;

    structdefaultproperties
    {
        CamoIndex=0
    }
};

var transient array<CamoInfo> CamoInfoArray;
var const localized string LocConsumeConfirmTitle;
var const localized string LocConsumeConfirmBody;

function TryPurchaseCurrentUnlockID(optional int UnlockID, optional FoxTypes.EUnlockState UnlockState, optional bool bIgnoreQuickPurchase)
{
    local FoxTypes.EPurchaseState PurchaseState;

    UnlockState = 2;    
    // End:0x53
    if(UnlockID == 0)
    {
        UnlockID = GetCurrentUnlockID();
        UnlockState = GetCurrentUnlockState();
        PurchaseState = GetCurrentPurchaseState();
    }
    ItemPurchaseScrollerIndex = CurrentScrollerIndex;
    Outer.Outer.Outer.PurchaseItemByUnlockID(UnlockID, 1, StorePurchaseComplete, true, PurchaseState <= 2, false, "", AssociatedUnlockID);
    //return;    
}

function TryActivateCurrentUnlockID()
{
    OnConsumeButtonPressed(0);
    //return;    
}

function OnConsumeButtonPressed(FoxDialogBoxBase.EDialogBoxConfirmType Selection)
{
    local FoxConsumeItemUI ConsumeItemUI;

    // End:0x258
    if(Selection == 0)
    {
        // End:0x255
        if(((ScrollerEntries[CurrentScrollerIndex].ActivationType == 5) || ScrollerEntries[CurrentScrollerIndex].ActivationType == 4) || ScrollerEntries[CurrentScrollerIndex].ActivationType == 3)
        {
            ConsumeItemUI = new (Outer.Outer.Outer.PCOwner.DynamicUI) class'FoxConsumeItemUI';
            ConsumeItemUI.UnlockID = Outer.SelectedScrollerUnlock;
            ConsumeItemUI.ConsumeAmount = 1;
            ConsumeItemUI.__PostConsumeItem__Delegate = StoreCamoConsumeComplete;
            ConsumeItemUI.__OnWorkingDialogShow__Delegate = Outer.ShowWorkingDialog;
            ConsumeItemUI.__OnWorkingDialogHide__Delegate = Outer.HideWorkingDialog;
            ConsumeItemUI.StartTask();
        }
    }
    // End:0x263
    else
    {
        RebuildScroller();
    }
    //return;    
}

function StoreCamoConsumeComplete(bool bSuccess)
{
    // End:0x162
    if(bSuccess)
    {
        NodeEquipButtonClicked(string(CurrentScrollerIndex));
        // End:0x162
        if(Outer.Outer.Outer.PCOwner.DynamicUI.Menu.ArmoryInfo.LoadoutInfo != none)
        {
            Outer.Outer.Outer.PCOwner.DynamicUI.Menu.ArmoryInfo.SaveLoadout();
        }
    }
    //return;    
}

function TryConsumeCurrentUnlockID()
{
    local DialogBoxProperties Props;

    Props.bCloseOnButtonPress = true;
    Props.TitleText = LocConsumeConfirmTitle;
    Props.BodyText = LocConsumeConfirmBody;
    Props.DialogType = 2;
    Props.OnDialogButtonPressed = OnConsumeButtonPressed;
    Outer.Outer.Outer.ShowDialogBox(Props);
    //return;    
}

defaultproperties
{
    LocConsumeConfirmTitle="CONFIRM"
    LocConsumeConfirmBody="Alert! Camos purchased from 9/24/14 forward will be permanent or time based. They will not overwrite camos purchased after 9/24/14. Purchases made before 9/24/14 will be overwritten by the new permanent type."
    bEquipConsume=true
}